# UiPath MCP Python SDK

A Python SDK that enables hosting local MCP servers on UiPath Platform.

## Installation

```bash
pip install uipath-mcp
```

using `uv`:

```bash
uv add uipath-mcp
```

## Configuration

### Environment Variables

Create a `.env` file in your project root with the following variables:

```
UIPATH_URL=https://cloud.uipath.com/ACCOUNT_NAME/TENANT_NAME
UIPATH_ACCESS_TOKEN=YOUR_TOKEN_HERE
```

## Basic Usage

```python

```

## Command Line Interface (CLI)

The SDK also provides a command-line interface for creating, packaging, and deploying Python-based MCP servers:

### Authentication

```bash
uipath auth
```

This command opens a browser for authentication and creates/updates your `.env` file with the proper credentials.

### Initialize a Project

```bash
uipath init [ENTRYPOINT]
```

Creates a `uipath.json` configuration file for your project. If the entrypoint is not provided, it will try to find a single Python file in the current directory.

### Debug a Project

```bash
uipath run ENTRYPOINT [INPUT]
```

Starts the local MCP Server

### Package a Project

```bash
uipath pack
```

Packages your MCP Server into a `.nupkg` file that can be deployed to UiPath.

**Note:** Your `pyproject.toml` must include:
- A description field (avoid characters: &, <, >, ", ', ;)
- Author information

Example:
```toml
description = "Your package description"
authors = [{name = "Your Name", email = "your.email@example.com"}]
```

### Publish a Package

```bash
uipath publish
```

Publishes the most recently created package to your UiPath Orchestrator.

## Project Structure

To properly use the CLI for packaging and publishing, your project should include:
- A `pyproject.toml` file with project metadata
- A `uipath.json` file (generated by `uipath init`)
- Any Python files needed for your automation

## Development

### Setting Up a Development Environment

Please read our [contribution guidelines](CONTRIBUTING.md) before submitting a pull request.

